
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlAttribute;

public class XmlAttributeBean
    implements XmlAttribute
{

    private String name;
    private boolean required;
    private String namespace;

    public XmlAttributeBean(String name, boolean required, String namespace) {
        this.name = name;
        this.required = required;
        this.namespace = namespace;
    }

    public XmlAttributeBean() {
    }

    public Class<XmlAttribute> annotationType() {
        return XmlAttribute.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlAttribute)) {
            return false;
        }
        if (!name.equals(((XmlAttributeBean) that).name)) {
            return false;
        }
        if (!(required == ((XmlAttributeBean) that).required)) {
            return false;
        }
        if (!namespace.equals(((XmlAttributeBean) that).namespace)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^name.hashCode());
        r = (r^(required?-393139297 : 0));
        r = (r^namespace.hashCode());
        return r;
    }

    public void name(String value) {
        this.name = value;
    }

    public String name() {
        return name;
    }

    public void required(boolean value) {
        this.required = value;
    }

    public boolean required() {
        return required;
    }

    public void namespace(String value) {
        this.namespace = value;
    }

    public String namespace() {
        return namespace;
    }

}
