
package org.jvnet.jaxb2_commons.mock_annotations;

import javax.xml.bind.annotation.XmlType;

public class XmlTypeBean
    implements XmlType
{

    private String name;
    private String namespace;
    private String[] propOrder;
    private Class factoryClass;
    private String factoryMethod;

    public XmlTypeBean(String name, String namespace, String[] propOrder, Class factoryClass, String factoryMethod) {
        this.name = name;
        this.namespace = namespace;
        this.propOrder = propOrder;
        this.factoryClass = factoryClass;
        this.factoryMethod = factoryMethod;
    }

    public XmlTypeBean() {
    }

    public Class<XmlType> annotationType() {
        return XmlType.class;
    }

    public boolean equals(Object that) {
        if (!(that instanceof XmlType)) {
            return false;
        }
        if (!name.equals(((XmlTypeBean) that).name)) {
            return false;
        }
        if (!namespace.equals(((XmlTypeBean) that).namespace)) {
            return false;
        }
        if (!propOrder.equals(((XmlTypeBean) that).propOrder)) {
            return false;
        }
        if (!factoryClass.equals(((XmlTypeBean) that).factoryClass)) {
            return false;
        }
        if (!factoryMethod.equals(((XmlTypeBean) that).factoryMethod)) {
            return false;
        }
        return true;
    }

    public int hashCode() {
        int r = 0;
        r = (r^name.hashCode());
        r = (r^namespace.hashCode());
        r = (r^ 0);
        r = (r^factoryClass.hashCode());
        r = (r^factoryMethod.hashCode());
        return r;
    }

    public void name(String value) {
        this.name = value;
    }

    public String name() {
        return name;
    }

    public void namespace(String value) {
        this.namespace = value;
    }

    public String namespace() {
        return namespace;
    }

    public void propOrder(String[] value) {
        this.propOrder = value;
    }

    public String[] propOrder() {
        return propOrder;
    }

    public void factoryClass(Class value) {
        this.factoryClass = value;
    }

    public Class factoryClass() {
        return factoryClass;
    }

    public void factoryMethod(String value) {
        this.factoryMethod = value;
    }

    public String factoryMethod() {
        return factoryMethod;
    }

}
